classification
Title: Allow memoryview.toreadonly()
Type: enhancement Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: pablogsal, pitrou, skrah
Priority: normal Keywords: patch

Created on 2018-03-29 08:21 by pitrou, last changed 2018-04-14 17:49 by pitrou. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6314 closed pablogsal, 2018-03-30 17:30
PR 6466 merged pitrou, 2018-04-13 20:31
Messages (3)
msg314637 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2018-03-29 08:21
It may be useful to get a readonly view of a memoryview.
msg314700 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2018-03-30 17:31
I have created an initial implementation in PR 6314.
msg315299 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2018-04-14 17:49
New changeset 480ab05d5fee2b8fa161f799af33086a4e68c7dd by Antoine Pitrou in branch 'master':
bpo-33176: Add a toreadonly() method to memoryviews. (GH-6466)
https://github.com/python/cpython/commit/480ab05d5fee2b8fa161f799af33086a4e68c7dd
History
Date User Action Args
2018-04-14 17:49:49pitrousetstatus: open -> closed
title: Allow memoryview.cast(readonly=...) -> Allow memoryview.toreadonly()
resolution: fixed
stage: patch review -> resolved
2018-04-14 17:49:23pitrousetmessages: + msg315299
2018-04-13 20:31:58pitrousetpull_requests: + pull_request6161
2018-03-30 17:31:54pablogsalsetnosy: + pablogsal
messages: + msg314700
2018-03-30 17:30:54pablogsalsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6030
2018-03-29 08:21:52pitroucreate